import { ErrorCodeEnum } from '@/common/enum/ErrorCodeEnum';
import { UnauthorizedError } from './UnauthorizedError';

export class UserStatusError extends UnauthorizedError {
  protected getErrorCode() {
    return ErrorCodeEnum.EMAIL_NOT_VERIFIED;
  }

  static default(message?: string) {
    return new UserStatusError(message ?? 'User is not active');
  }
}
